PHP Manual
Prev |  | Next

# HttpResponse

(no version information, might be only in CVS)

HttpResponse -- HTTP Response Class

## Synopsis

    static class HttpResponse

## Class Members

### Properties

Table 1. Static Properties

Modifiers | Type | Name | Description
--- | --- | --- | ---
protected | boolean | cache | whether caching the response should be attempted
protected | boolean | gzip | whether the sent entity should be gzip'ed on the fly
protected | string | eTag | the generated or custom ETag
protected | integer | lastModified | the generated or custom timestamp of last modification
protected | string | cacheControl | `Cache-Control` setting
protected | string | contentType | the `Content-Type` of the sent entity
protected | string | contentDisposition | the `Content-Disposition` of the sent entity
protected | integer | bufferSize | the chunk buffer size used for throttling
protected | double | throttleDelay | the seconds to delay when throttling

### Predefined Constants

Table 2.

Type | Name | Description
--- | --- | ---
integer | REDIRECT | guess applicable redirect method
integer | REDIRECT_PERM | permanent redirect (`301 Moved permanently`)
integer | REDIRECT_FOUND | standard redirect (`302 Found`)
integer | REDIRECT_POST | redirect applicable to POST requests (`303 See other`)
integer | REDIRECT_PROXY | proxy redirect (`305 Use proxy`)
integer | REDIRECT_TEMP | temporary redirect (`307 Temporary Redirect`)

### Methods

HttpResponse::getBufferSize()
HttpResponse::setBufferSize()
HttpResponse::getCacheControl()
HttpResponse::setCacheControl()
HttpResponse::getCache()
HttpResponse::setCache()
HttpResponse::getContentDisposition()
HttpResponse::setContentDisposition()
HttpResponse::getContentType()
HttpResponse::setContentType()
HttpResponse::getData()
HttpResponse::setData()
HttpResponse::getETag()
HttpResponse::setETag()
HttpResponse::getFile()
HttpResponse::setFile()
HttpResponse::getGzip()
HttpResponse::setGzip()
HttpResponse::getHeader()
HttpResponse::setHeader()
HttpResponse::getLastModified()
HttpResponse::setLastModified()
HttpResponse::getStream()
HttpResponse::setStream()
HttpResponse::getThrottleDelay()
HttpResponse::setThrottleDelay()
HttpResponse::redirect()
HttpResponse::capture()
HttpResponse::send()
HttpResponse::guessContentType()
HttpResponse::redirect()
HttpResponse::status()
HttpResponse::getRequestHeaders()
HttpResponse::getRequestBody()
HttpResponse::getRequestBodyStream()

Prev | Home | Next
HttpRequestPool::socketSelect | Up | HttpResponse::capture